Package twisted :: Package im :: Module interfaces :: Class IPerson

[frames | no frames]

## Class IPerson

    Interface --+
                |
               IPerson

Method Summary
| ``__init__`(self, name, account)` Initialize me.
string (XXX: How about a scalar?) | ``getIdleTime`(self)`
| ``getStatus`(self)` What is my on-line status?
boolean | ``isOnline`(self)` Am I online right now?
| ``sendMessage`(self, text, metadata)` Send a message to this person.

Method Details

### __init__(self, name, account)
(Constructor)

Initialize me.

  Parameters:
    `name` - My name, as the server knows me.
    (type=string)
    `account` - The account I am accessed through.
    (type=Account)

### getIdleTime(self)

  Returns:
    string (XXX: How about a scalar?)

### getStatus(self)

What is my on-line status?

  Returns:
    `locals.StatusEnum`

### isOnline(self)

Am I online right now?

  Returns:
    boolean

### sendMessage(self, text, metadata=None)

Send a message to this person.

  Parameters:
    `text`
    (type=string)
    `metadata`
    (type=dict)

Generated by Epydoc 2.0 on Sat May 15 20:08:42 2004 | http://epydoc.sf.net